﻿* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    height: 100vh;
    background: linear-gradient(135deg, #6e45e2, #88d3ce);
    display: flex;
    justify-content: center;
    align-items: center;
}

.login-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.login-box {
    background-color: #fff;
    padding: 50px;
    border-radius: 20px;
    box-shadow: 0 8px 30px rgba(0, 0, 0, 0.2);
    max-width: 600px;
    width: 100%;
    text-align: center;
    position: relative;
    overflow: hidden;
}

.logo img {
    width: 100px; /* Ajusta el tamaño según sea necesario */
    margin-bottom: 20px;
}

h2 {
    margin-bottom: 10px;
    font-size: 28px;
    color: #333;
}

.welcome-text {
    margin-bottom: 30px;
    color: #666;
    font-size: 14px;
}

.input-group {
    position: relative;
    margin-bottom: 35px;
}

    .input-group input {
        width: 100%;
        padding: 12px;
        border: none;
        border-radius: 30px;
        background: rgba(0, 0, 0, 0.05);
        font-size: 16px;
        outline: none;
        transition: background 0.3s ease;
    }

        .input-group input:focus {
            background: rgba(0, 0, 0, 0.1);
        }

    .input-group label {
        position: absolute;
        top: 50%;
        left: 15px;
        transform: translateY(-50%);
        font-size: 16px;
        color: #666;
        transition: 0.3s ease;
        pointer-events: none;
    }

    .input-group input:focus ~ label,
    .input-group input:not(:placeholder-shown) ~ label {
        top: -10px;
        left: 15px;
        font-size: 12px;
        color: #6e45e2;
    }

.btn {
    width: 100%;
    padding: 15px;
    background: linear-gradient(135deg, #6e45e2, #88d3ce);
    border: none;
    border-radius: 30px;
    color: white;
    font-size: 18px;
    cursor: pointer;
    transition: background 0.3s ease;
}

    button:hover {
        background: linear-gradient(135deg, #88d3ce, #6e45e2);
    }

.forgot-password {
    margin-top: 20px;
}

    .forgot-password a {
        color: #6e45e2;
        text-decoration: none;
        font-size: 14px;
    }

        .forgot-password a:hover {
            text-decoration: underline;
        }
